#ifndef DATA_STRUCTURE_HH
#define DATA_STRUCTURE_HH

#include <vector>

#include "TObject.h"

class SubA : public TObject{
public:
  SubA() : x(0) { }
  SubA(int x) : x(x) { }
  int x;

  ClassDef(SubA, 1);
};

class SubB : public TObject{
public:
  SubB() : y(0) { }
  SubB(int y) : y(y) { }
  int y;

  ClassDef(SubB, 1);
};

class DataStructure : public TObject{
public:
  DataStructure() { }
  void Clear(){
    a.clear();
    b.clear();
    c.clear();
    d.clear();
  }

  std::vector<SubA> a;
  std::vector<SubB> b;

  std::vector<double> c;
  std::vector<double> d;

  ClassDef(DataStructure, 1);
};

int func(SubA a, SubB b);
int func_int(int x);

#endif
